API ReferenceTriggers

Get trigger type by slugv3.1

GET
/api/v3.1/triggers_types/{slug}

Retrieve detailed information about a specific trigger type using its slug identifier

Authorization

x-api-key<token>

Project API key authentication

In: header

Path Parameters

slugstringRequired

The unique slug identifier for the trigger type. Case-insensitive (internally normalized to uppercase).

Query Parameters

toolkit_versionsnull | string | object

Toolkit version specification. Use "latest" for latest versions or bracket notation for specific versions per toolkit.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3.1/triggers_types/SLACK_CHANNEL_MESSAGE_RECEIVED?toolkit_versions=latest"
{  "slug": "SLACK_CHANNEL_MESSAGE_RECEIVED",  "name": "New Message in Slack Channel",  "description": "Triggers when a new message is posted to a Slack channel",  "instructions": "string",  "type": "webhook",  "toolkit": {    "slug": "slack",    "name": "Slack",    "logo": "https://example.com/logo.png"  },  "config": {    "channel_id": {      "type": "string",      "required": true    },    "message_type": {      "type": "enum",      "options": [        "all",        "direct",        "channel"      ]    }  },  "payload": {    "message": {      "type": "string"    },    "sender": {      "type": "object",      "properties": {        "id": "string",        "name": "string"      }    },    "timestamp": {      "type": "number"    }  },  "version": "20250930_00",  "requires_webhook_endpoint_setup": false}